import request from '@/utils/request'

// 查询物资类库列表
export function listGoodsType(query) {
  return request({
    url: '/erms/goodsType/list',
    method: 'get',
    params: query
  })
}

// 查询物资类库列表
export function typeListGoodsType(id) {
  return request({
    url: '/erms/goodsType/typeList?id=' + id,
    method: 'get'
  })
}

// 查询物资类库详细
export function getGoodsType(id) {
  return request({
    url: '/erms/goodsType/' + id,
    method: 'get'
  })
}

// 新增物资类库
export function addGoodsType(data) {
  return request({
    url: '/erms/goodsType',
    method: 'post',
    data: data
  })
}

// 修改物资类库
export function updateGoodsType(data) {
  return request({
    url: '/erms/goodsType',
    method: 'put',
    data: data
  })
}

// 删除物资类库
export function delGoodsType(id) {
  return request({
    url: '/erms/goodsType/' + id,
    method: 'delete'
  })
}

// 导出物资类库
export function exportGoodsType(query) {
  return request({
    url: '/erms/goodsType/export',
    method: 'get',
    params: query
  })
}
